(function() {
 
	tinymce.create('tinymce.plugins.wpsgModProductviewPlugin', {
		
		init : function(ed, url) {
 
			ed.addCommand('mcewpsg2', function() {
				ed.windowManager.open({
					file : 'admin.php?page=wpsg-Produkt&action=ajax&mod=wpsg_mod_productview&noheader=1',
					title: 'Produktansicht generieren',
					width : 450,
					height : 450,
					inline : 1
				}, {
					plugin_url : url
				});
			});
 
			ed.addButton('wpsgModProductviewPlugin', {
				title : 'Produkte über die Produktansicht anzeigen',
				cmd : 'mcewpsg2',
				image : url + '/../../gfx/table.png'
			});
 
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('wpsgModProductviewPlugin', n.nodeName == 'IMG');
			});
		},
 
		createControl : function(n, cm) {
			return null;
		},
 
		getInfo : function() {
			return {
				longname : 'wpShopGermany Produktauswahl',
				author : 'maennchen1.de',
				authorurl : 'http://maennchen1.de',
				version : "3.0"
			};
		}
	});

	tinymce.PluginManager.add('wpsgModProductviewPlugin', tinymce.plugins.wpsgModProductviewPlugin);
	
})();
